/*

    GDS7 v0.1 interactive digital image transfer software for DS-7 camera
    Copyright (C) 1998 Matthew G. Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

/* Pieces of this file extracted from the GTK tutorial. */
#include "gds7.h"
#include "ui.h"
#include "callbacks.h"
#include "ops.h"
#include "ds7lib.h"

int numpix,rows,cols,baudrate,menubaud;
int init=0;
float thumbscale,thumbgam;
char *preview_cmd;
cam_info *thecam_info;

struct picent *pics, *poppic;

int main (int argc, char *argv[])
{

  /* Startup */
  gtk_init (&argc, &argv);
  gdk_init (&argc, &argv);
  gdk_imlib_init();

  gtk_rc_parse("gtkrc");

  /* Get gdk to use imlib's visual and colormap */
  gtk_widget_push_visual(gdk_imlib_get_visual());
  gtk_widget_push_colormap(gdk_imlib_get_colormap());

  gtk_rc_parse (RCFILE_LOCATION);
  thecam_info=get_cam_info();

  load_cfg();
  main_win();

  numpix=0;
  cam_init(toolbar,NULL);

    /* rest in gtk_main and wait for the fun to begin! */

  gtk_main ();

#ifdef DEBUG     
  g_print("Bye\n");
#endif

  close_ds7();
  return 0;
}

